'''
Created on 24/04/2014

@author: MMPE
'''

import numpy as np

def save(filename, y_coordinates, z_coordinates, u=None, v=None, w=None):
    shape = (len(z_coordinates), len(y_coordinates))
    vuw = [v, u, w]
    for i in range(3):
        if vuw[i] is None:
            vuw[i] = np.zeros((shape))
        else:
            assert vuw[i].shape == shape, (i, vuw[i].shape, shape)

    with open(filename, 'w') as fid:
        fid.write(" # autogenerated shear file\n")
        fid.write("  %d %d\n" % (len(y_coordinates), len(z_coordinates)))
        for i, l in enumerate(['v', 'u', 'w']):
            fid.write(" # shear %s component\n  " % l)
            fid.write("\n  ".join([" ".join(["%.10f" % v for v in r ]) for r in vuw[i]]))
            fid.write("\n")
        for yz, coor in (['y', y_coordinates], ['z', z_coordinates]):
            fid.write(" # %s coordinates\n  " % yz)
            fid.write("\n  ".join("%.10f" % v for v in coor))
            fid.write("\n")


if __name__ == "__main__":
    save("test.dat", [-55, 55], [30, 100, 160] , u=np.array([[0.7, 1, 1.3], [0.7, 1, 1.3]]).T)
